LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 06-14-2004, 05:29 AM   #1
unforgivn
Member
 
Registered: Jul 2003
Location: south africa
Distribution: RH 9 hopefully fedora core 2 soon :P
Posts: 34

Rep: Reputation: 15
screwed up system badly, glibc need to upgrade


Ok

I messed up badly
I kept getting an error with some packages and I tried to update my kerberos packages, witch needed me to upgrade my glibc packages to 2.3.4 and now I am struggling to get all of those packages I've got glibc-2.3.4 and glibc-misc-2.3.4 ok .. but when I try to rpm -Uvh xxx it tells me there are more packages needed what will I need to update everything I cannot reinstall!!!

there is just a huge problem with updating the glibc files because obviously it's going to give errors that some programs are still using the old glib files, but when I try to install the glbibc-2 files they tell me glibc-common is needed when I install common then it tells me glibc is needed :/

Last edited by unforgivn; 06-14-2004 at 06:18 AM.
 
Old 06-14-2004, 09:49 AM   #2
unforgivn
Member
 
Registered: Jul 2003
Location: south africa
Distribution: RH 9 hopefully fedora core 2 soon :P
Posts: 34

Original Poster
Rep: Reputation: 15
well my libcom_err.so.3 is fsckered. I hate this.. really I do... My box was coming along very very nicely and now its screwed I needed to upgrude kerberos and samba and all that crap and now its just a useless piece of crap, smbclient is fscked I can get inro x after about an hour of work but really.. wtf should I do im having problems with system calls not in libcom_err.so.3 and libkrb5.so.3 I have krb5 1.3.7 installed. :/
 
Old 06-14-2004, 12:40 PM   #3
v00d00101
Member
 
Registered: Jun 2003
Location: UK
Distribution: Fedora 8, Centos 5.1
Posts: 480

Rep: Reputation: 30
When you attempt the upgrade, it should give you a list of dependencies you need to sort out. Simply google each one, find the rpm for it, install it, and when your finished, install the glibc and krb packages.

No one said life would be easy.
 
Old 06-15-2004, 01:29 AM   #4
unforgivn
Member
 
Registered: Jul 2003
Location: south africa
Distribution: RH 9 hopefully fedora core 2 soon :P
Posts: 34

Original Poster
Rep: Reputation: 15
my biggest problem is I did a --nodeps :P to get 2 installed and now I am really really fsckerd
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
newb question on GNU glibc-2.3.1 upgrade to GNU glibc-2.3.2 clindy528 Slackware 1 11-10-2005 06:49 AM
Linking is badly borked on your system acidjuice Slackware 19 05-13-2005 12:56 PM
Screwed my FC3 installation REAL badly DaBlade Linux - Software 2 12-24-2004 05:49 AM
upgrade glibc-2.2.4 to glibc-2.3.2 on redhat 7.2 Shuja Red Hat 0 07-28-2004 06:10 AM
apm screwed up after upgrade Delorian Linux - Hardware 1 05-11-2003 05:26 PM


All times are GMT -5. The time now is 12:43 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration